<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:p="http://primefaces.org/ui">
    
    <h:head>
        <title>Cadastro</title>
        
        <style>
.navbar {
    overflow: hidden;
    background-color: #333;
    font-family: Arial;
}

.navbar a {
    float: left;
    font-size: 16px;
    color: white;
    text-align: center;
    padding: 14px 16px;
    text-decoration: none;
}

.dropdown {
    float: left;
    overflow: hidden;
}

.dropdown .dropbtn {
    font-size: 16px;    
    border: none;
    outline: none;
    color: white;
    padding: 14px 16px;
    background-color: inherit;
}

.navbar a:hover, .dropdown:hover .dropbtn {
    background-color: red;
}

.dropdown-content {
    display: none;
    position: absolute;
    background-color: #f9f9f9;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
}

.dropdown-content a {
    float: none;
    color: black;
    padding: 20px 30px;
    text-decoration: none;
    display: block;
    text-align: left;
}

.dropdown-content a:hover {
    background-color: #ddd;
}

.dropdown:hover .dropdown-content {
    display: block;
}
</style>
    
 
    
   
    

       
    
    <h:body>
        
        <div class="navbar">
  <a href="/Exemplo_Livraria">Home</a>
  
  
  
              <h:link outcome="/genero/cadastro"> Cadastro </h:link>
              
              <h:link outcome="/autor/gerenciar"> Autor </h:link>
              
                <h:link outcome="/cliente/gerenciar"> Cliente </h:link>
                
                <h:link outcome="/livro/gerenciar"> Livro </h:link>

  
  
 
</div>

        
    </h:body>
        
    </h:head>
    
    <p:spacer height="30px" />
    
    
    
    
    
    
 
            
    
    
    
    
     
       
            
            <h:inputHidden value="#{generoBean.genero.id}" />
            
            <h:messages id="msg" />
            <h:panelGrid columns="2">
                <h:outputLabel for="id" value="Código" />
                <h:inputText 
                    id="id" value="#{generoBean.genero.id == 0 ? '' : generoBean.genero.id}"
                    readonly="true"
                             style="width: 40px;" />
                <h:outputLabel for="descricao" value="Descrição" />
                <h:inputText id="descricao" value="#{generoBean.genero.descricao}"
                             required="true" requiredMessage="Campo descrição é obrigatorio!" />
                <h:panelGroup >
                    <h:commandButton value="Salvar" action="#{generoBean.salvar}" />
                    <h:commandButton value="Cancelar" action="#{generoBean.novo}" />
                </h:panelGroup>
            </h:panelGrid>
            
             <h:dataTable var="genero" value="#{generoBean.lista}">
                <h:column >#{genero.id}</h:column>
                <h:column>#{genero.descricao}</h:column>
            </h:dataTable>
            
       

            
</html>

